FT2NFDUMP(1)

NAME
ft2nfdump - convert flow-tools files to nfdump format.

SYNOPSIS
ft2nfdump [-r ftfile] -w nffile [- z] [- j] [- y] [-E] [-c num]
ft2nfdump [- hV]

DESCRIPTION
ft2nfdump is the flow-tools converter program to read, convert and store netflow data, created with the flow-tools package. It works either as a pipe filter or reads flow-tools data directly from a file and exports nfdump data to a file.

The options are as follows:

-r ftfile
    Read the flow-tools netflow data from file ftfile If this argument is missing, ft2nfdump expects the data at stdin (pipe filter)

-w nffile
    Writes netflow data to nffile

-z  Compress flows using LZO1X-1 compression. Fastest method

-y  Compress flows using LZ4 compression. Default if no other option is given.

-j  Compress flows using bz2 compression. Slowest but best compression.

-c num
    Limit the number of flows to the first num flow records.

-E  Additionally print flows to stdout This option allows you to check for the correct flow conversion and should not be needed for normal operation.

-V  Print ft2nfdump version and exit.

-h  Print help text to stdout and exit.

EXAMPLES
To convert a flow tools file into nfdump format:
    % ft2nfdump -r <flow-tools-file> -z=lz4 -w <nfdump-file.nf>
    % nfdump -r <nfdump-file.nf>

RETURN VALUES
ft2nfdump returns 0 on success and 255 otherwise.

SEE ALSO
nfdump(1)